# Administration Reference

## package

Purpose

Configures files and directories on the local disk

Synopsis

    package [initcmd]  [-config <base name of configuration file>]
       [-fullconfig <full name of configuration file, or stdin for standard input>]
       [-overwrite]  [-noaction]  [-verbose]  [-silent]  [-rebootfiles]
       [-debug]  [-help]

    package [i]  [-c <base name of configuration file>]
            [-f <full name of configuration file, or stdin for standard input>]
            [-o]  [-n]  [-v]  [-s]  [-r]  [-d]  [-h]

Description

The package command configures the machine's local disk to comply with the instructions in the configuration file named by the -config or -fullconfig argument.

By default, the package command alters any existing local disk element whose contents or configuration does not match the element defined in the configuration file. For example, if a configuration file D instruction defines a directory that has the same name as a symbolic link on the local disk, the package command replaces the symbolic link with the directory. The F and L instructions include an optional update_code field that alters this behavior.

Also by default, the package command takes no action on elements on the local disk that are not mentioned in the configuration file. Use the D instruction's R update code to remove files from the disk directory that are not mentioned in the configuration file.

Before running the package command, the administrator must create the template file and other files on the local disk. For instructions, see the IBM AFS Administration Guide.

It is not possible to configure a remote client machine's disk using this command.

Cautions

The package command interpreter exits without executing any instruction if there are any syntax errors or incorrect values in the configuration file.

Options

initcmd
  Accommodates the command's use of the AFS command parser, and is optional.

-config
  Specifies the pathname of the configuration file to use, ending in the file's base name, which omits the suffix that indicates the machine type. The package command determines the machine's system type name and automatically appends it to the base name. An example of the proper value for this argument is staff rather than staff.rs_aix42. Partial pathnames are interpreted relative to the current working directory.

  Provide this argument or the -fullconfig argument.

-fullconfig
  Specifies the configuration file to use. Two types of values are acceptable:

  - The full pathname of the configuration file to use, complete with an extension indicating the machine type (examples: staff.rs_aix42, admin.sun4x_56).

  - The string stdin to indicate that the issuer is providing configuration information via the standard input stream, either by piping in the contents of a file, or by typing configuration lines at the shell. In the latter case, type <Ctrl-d> to conclude the input.

  Provide this argument or the -config argument.

-overwrite
  Overwrites elements on the local disk with the source version indicated in the configuration file, even if the owner write (w) mode bit is turned on the disk element. Files protected by the I update code on an F line in the configuration file are not overwritten.

-noaction
  Checks the sequence of operations to be performed when the command actually runs and reports any problems that the package command interpreter expects to encounter. No elements on the local disk or in AFS are changed. If the -verbose flag is also provided, the trace includes all actions to be performed as well as anticipated errors.

-silent
  Suppresses some of the trace messages sent to the standard output stream by default. The output still reports major problems.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-rebootfiles
  Prevents overwriting of any file marked with the Q update code on an F line in the configuration file. This effectively prevents the machine from rebooting automatically again when the package command is invoked in the machine's AFS initialization file.

-debug
  Enables debugging output, which is directed to the standard output stream by default. By default, no debugging output is produced.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

This command is usually invoked in a client machine's AFS initialization file (/etc/rc or equivalent), rather than issued at the command shell prompt.

The following command invokes the version of the staff configuration file appropriate for this machine's system type, and produces verbose output.

       # /etc/package -c staff -v

The following example uses the configuration file whose basename is defined in the /.package file on the local machine. This method enables the administrator to use the same package command in every machine's AFS initialization file but still customize configuration by putting the appropriate basename in the /.package file.

       # /etc/package -c `cat /.package` -v

Privilege Required

The issuer must be logged in as the local superuser root.

Related Information

package Configuration File

© IBM Corporation 2000. All Rights Reserved